aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-12-22 17:00:49 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-12-22 17:00:49 +0000
commitd0ca197f031f96d4664cafaa618aeccf94640a1e (patch)
tree9fc75befe579054c069ecb74efc6c674fd4491c5
parentcda0900cf7dafe7ab3119b7cf612149a90df4937 (diff)
downloadaports-d0ca197f031f96d4664cafaa618aeccf94640a1e.tar.gz
aports-d0ca197f031f96d4664cafaa618aeccf94640a1e.tar.bz2
aports-d0ca197f031f96d4664cafaa618aeccf94640a1e.tar.xz
testing/pastebinc: resurrect
we had this in unmaintained and it got purged. ressurect it
-rw-r--r--testing/pastebinc/APKBUILD38
-rw-r--r--testing/pastebinc/buildfix.patch24
2 files changed, 62 insertions, 0 deletions
diff --git a/testing/pastebinc/APKBUILD b/testing/pastebinc/APKBUILD
new file mode 100644
index 0000000000..bf6a53353d
--- /dev/null
+++ b/testing/pastebinc/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Jeremy Thomerson <jeremy@thomersonfamily.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=pastebinc
+pkgver=0.9.1
+pkgrel=1
+pkgdesc="utility to pipe data into a paste on pastebin.com or a similar site"
+url="https://github.com/jthomerson/pastebinc"
+arch="all"
+license="ASL 2.0"
+depends=
+depends_dev=
+makedepends="wget glib-dev curl-dev"
+install=""
+subpackages=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/jthomerson/pastebinc/archive/RELEASE_$pkgver.tar.gz
+ buildfix.patch"
+builddir="$srcdir/pastebinc-RELEASE_$pkgver"
+
+makeparams="VERSION=$pkgver-$pkgrel CONFDIR=/etc/pastebinc prefix=/usr"
+
+build() {
+ cd "$builddir"
+ make $makeparams clean
+ make $makeparams
+}
+
+check() {
+ cd "$builddir"
+ ./pastebinc -h || test $? -eq 1
+}
+
+package() {
+ cd "$builddir"
+ make $makeparams DESTDIR="$pkgdir" install
+}
+
+sha512sums="84f8f2879572a9c6ee5c990b7b94e2b311141bf555a4ca4afd39d24211b267b7bc87e67ecf64632d27ac6ac5901b3dd9e7bb76dfb33276c81a9931009244bc29 pastebinc-0.9.1.tar.gz
+67f2e6a2a7e04d23437f12396320a8eec73d78c5ede603e92ea3afa5b9be003c9c082f03c680714fe54da35584fb2e653ca25a9167b86197ea8439aeac3c5779 buildfix.patch"
diff --git a/testing/pastebinc/buildfix.patch b/testing/pastebinc/buildfix.patch
new file mode 100644
index 0000000000..7b7880c5f8
--- /dev/null
+++ b/testing/pastebinc/buildfix.patch
@@ -0,0 +1,24 @@
+diff --git a/Makefile b/Makefile
+index 3b9055d..841a999 100644
+--- a/Makefile
++++ b/Makefile
+@@ -15,8 +15,8 @@ CFLAGS += -DVERSION=\"$(VERSION)$(GIT_VERSION)\"
+ CFLAGS += -DCONFDIR=\"$(CONFDIR)\"
+ CFLAGS += $(shell pkg-config --cflags glib-2.0)
+
+-LIBS ?= -lcurl
+-LIBS += $(shell pkg-config --libs glib-2.0)
++LIBS ?= $(shell pkg-config --libs libcurl)
++LIBS += $(shell pkg-config --libs glib-2.0)
+
+ CC ?= gcc
+
+@@ -33,7 +33,7 @@ all: $(TARGETS)
+ #
+
+ pastebinc:
+- $(CC) -fPIC $(CFLAGS) $(LIBS) -o $(PROGNAME) pastebinc.c
++ $(CC) -fPIC $(CFLAGS) -o $(PROGNAME) pastebinc.c $(LIBS)
+
+ clean:
+ rm -f *.o *.out $(PROGNAME)